package pages

import (
	"fmt"
	"html/template"
	"net/http"

	"gogs.gildas.ch/gildas/movies"
)

func List(c *movies.Collection) http.HandlerFunc {
	return http.HandlerFunc(func(w http.ResponseWriter, r *http.Request) {
		t, err := template.ParseFiles("templates/list.html")
		if err != nil {
			fmt.Println(err)
			return
		}

		t.Execute(w, c)
	})
}
